string = '''
趋势技术分析1—技术分析的定义
趋势技术分析2—作者对于道氏理论的引用
趋势技术分析3—主要趋势的六个阶段
趋势技术分析4—相互确认的原则
趋势技术分析5—趋势反转的不同信号
趋势技术分析6—道氏理论的“缺陷”
趋势技术分析7—重要的反转模式
趋势技术分析8—反转模式之头肩形态
趋势技术分析9—头肩顶的补充内容
趋势技术分析10—头肩模式的变体
趋势技术分析11—对称三角形
趋势技术分析12—不同的三角形模式
趋势技术分析13—不同走势当中的三角形模式
趋势技术分析14—趋势运行过程中的矩形形态
趋势技术分析15—趋势反转的其他形态
趋势技术分析16—常见的巩固形态或持续形态
趋势技术分析17—趋势运行过程中的缺口
趋势技术分析18—趋势运行过程中的支撑和阻力
趋势技术分析19—正确理解支撑和阻力
趋势技术分析20—支撑位和阻力位的有效性
趋势技术分析21—趋势线的画法以及正确认知
趋势技术分析22—趋势线的修正
趋势技术分析23—趋势线与通道
趋势技术分析24—交易过程中的常见问题
趋势技术分析25—明确自己的交易方式
趋势技术分析26—采用合理的止损方式
趋势技术分析27—设置止损时的注意事项
趋势技术分析28—正确理解顶和底
趋势技术分析29—行动中的趋势线
趋势技术分析30—避开窄幅震荡
趋势技术分析31—正确使用支撑面和阻力面
趋势技术分析32—趋势节奏改变的判断标准
趋势技术分析33—学会分散化
趋势技术分析34—不同模式对空间的衡量
趋势技术分析35—不同形态的注意事项
趋势技术分析36—支撑位阻力位和趋势线的注意事项
趋势技术分析37—不同形态对不同操作的对应原则
趋势技术分析38—终章之对交易者的忠告
'''
new_file_arr = string.strip().split('\n')
 

import os

# 设置视频文件所在的目录
directory = 'F:\Downloads\BilibiliDown\down'

# 获取该目录下所有的视频文件
video_files = [f for f in os.listdir(directory) if f.endswith('.mp4')]

video_files.sort()
# 重命名视频文件
for index, video_file in enumerate(video_files):
    # 设置新的文件名
    # new_name = f'视频_{index}.mp4'
    new_name = f"{new_file_arr[index]}.mp4"
    # 获取原文件的完整路径
    old_file = os.path.join(directory, video_file)
    # 获取新文件的完整路径
   
    new_file = os.path.join(directory, new_name)
    print(old_file ,new_file)
    
    # 重命名操作
    try:
        os.rename(old_file, new_file)
        print(f'文件"{old_file}"已重命名为"{new_file}"')
    except OSError as e:
        print(f'重命名"{old_file}"时出错: {e}')


